# Copy a template

Copies an existing template into new templates with the provided names and account IDs.

Endpoint: PUT /v4/templates/{template_name}/copy
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `template_name` (string, required)
    The name of the source template

## Request fields (application/json):

  - `requests` (array, required)
    List of copy requests

  - `requests.account_id` (string, required)
    Target account ID to copy the template to

  - `requests.name` (string, required)
    Name of the new template in the target account

  - `requests.domain` (string)
    Domain of the new template in the target account

  - `source_versions` (array)
    Versions to copy or all versions if empty.

## Request examples:

  - `Example` (unknown)

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

  - `failed_copies` (array, required)
    Failed copy requests

  - `failed_copies.account_id` (string, required)
    Target account ID to copy the template to

  - `failed_copies.name` (string, required)
    Name of the new template in the target account

  - `failed_copies.domain` (string)
    Domain of the new template in the target account

  - `error` (string)
    A error that occurred during copying

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401:

  - `401` (unknown)
    A 401 response

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404:

  - `404` (unknown)
    A 404 response

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500:

  - `500` (unknown)
    A 500 response

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message

## Response 200 examples:

  - `Example` (unknown)

